import * as z from 'zod';
// prettier-ignore
export const CloudFileChunkResultSchema = z.object({
    id: z.number().int(),
    fileId: z.number().int(),
    seq: z.number().int(),
    data: z.instanceof(Uint8Array),
    createdAt: z.date(),
    file: z.unknown()
}).strict();

export type CloudFileChunkResultType = z.infer<typeof CloudFileChunkResultSchema>;
